:root {
  --tourcolorblue: #45aaf2;
  --tourcolorred: #fc5c65;
  --tourcolorblack: #778ca3;
}

@import url(https://fonts.googleapis.com/css2?family=Courgette&display=swap);

.tripsuggestioncontainer{
  width: 80%;
  max-width: 600px;
}

.tripsuggestionheader{  
  font-family: 'Courgette', sans-serif;
  
  padding: 10px 0px;
  /*border: 1px solid rgba(0, 0, 0, 0.1);
  background-color: rgba(0, 0, 0, 0.04);
  border-radius: 5px;
  height: 2em;*/
  margin-bottom: -1em;
  
/*-webkit-box-shadow: inset 0px -35px 2px -32px rgba(0,0,0,0.2);
-moz-box-shadow: inset 0px -35px 2px -32px rgba(0,0,0,0.2);
box-shadow: inset 0px -6.1em 3px -5em rgba(0,0,0,0.05);*/
  
  font-size: 0.8em;
  letter-spacing: 0.2em;
  color: rgba(0, 0, 0, 0.5);
  width: 100%;
  text-align: center;
}

.tripsuggestions{
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
  /*border: 1px solid #cacaca;
  background-color: #e1e1e1;
  border-radius: 5px;
  
  -webkit-box-shadow: 0px 2px 2px 0px rgba(0,0,0,0.2);
  -moz-box-shadow: 0px 2px 2px 0px rgba(0,0,0,0.2);
  box-shadow: 0px 2px 2px 0px rgba(0,0,0,0.2);*/
}

.tripsuggestion{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: calc(100% - 70px);
  min-height: 2em;
  margin-top: 15px;
  padding: 10px 20px;
  background-color: white;
  border-radius: 5px;
  border: 1px solid #a0c7e4;
  
  -webkit-box-shadow: 0px 1px 2px 0px rgba(0,0,0,0.2);
  -moz-box-shadow: 0px 1px 2px 0px rgba(0,0,0,0.2);
  box-shadow: 0px 1px 2px 0px rgba(0,0,0,0.2);
  
  position: relative;
  overflow: hidden;
}
.tripsuggestion:last-child{
  margin-bottom: 15px;
}

.tripsuggestion .tourimgcontainer{
  width: 15em;
  height: calc(100% + 2px);
  
  position: absolute;
  right: 0;
  top: -1px;
  overflow: hidden;
  background-color: red;
}


.tripsuggestion .tourimgcontainer::after{
  content: "";
  border-top: 0 solid transparent;
  border-bottom: 7em solid transparent;
  border-left: 7em solid white;
  content: '';
  position: absolute;
  top: 0;
  left: 0%;
  height: 0;
  width: 0;
}

.tripsuggestion img.tourimg{
  width: 100%;
  height: 100%;
  
  border: 1px solid #c1c1c1;
  border-radius: 3px;
  object-fit: cover;
  object-position: center;
}

.tripsuggestion .tourlevelcolor{
  width: 14em;
  height: 14em;
  
  position: absolute;
  left: -11.5em;
  top: -10em;
  transform: rotate(-45deg);
  z-index: 1;
}

.tripsuggestion.tourleveleasy {
  border: 1px solid var(--tourcolorblue);
}
.tripsuggestion.tourlevelmedium {
  border: 1px solid var(--tourcolorred);
}
.tripsuggestion.tourlevelhard {
  border: 1px solid var(--tourcolorblack);
}

.tripsuggestion.tourleveleasy .tourlevelcolor{
  background-color: var(--tourcolorblue);
}
.tripsuggestion.tourlevelmedium .tourlevelcolor{
  background-color: var(--tourcolorred);
}
.tripsuggestion.tourlevelhard .tourlevelcolor{
  background-color: var(--tourcolorblack);
}

.tripsuggestion .tourdesc{
  padding: 2px;
  width: calc(100% - 6.2em);
/*  margin-left: 4em;*/
  padding: 0.5em 1em;
  border-radius: 3px;
  position: relative;
}

.tripsuggestion .tourdescbackground{
  position: absolute;
  top: 0; left: 0;
  width: 100%;
  height: 100%;

  background: rgba(255,255,255,1);
background: -moz-linear-gradient(left, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 54%, rgba(255,255,255,0) 100%);
background: -webkit-gradient(left top, right top, color-stop(0%, rgba(255,255,255,1)), color-stop(0%, rgba(255,255,255,1)), color-stop(54%, rgba(255,255,255,1)), color-stop(100%, rgba(255,255,255,0)));
background: -webkit-linear-gradient(left, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 54%, rgba(255,255,255,0) 100%);
background: -o-linear-gradient(left, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 54%, rgba(255,255,255,0) 100%);
background: -ms-linear-gradient(left, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 54%, rgba(255,255,255,0) 100%);
background: linear-gradient(to right, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 54%, rgba(255,255,255,0) 100%);
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#ffffff', GradientType=1 );
}

.tripsuggestion .tourdesc > div:first-of-type{
  font-size: 1.2em;
  font-weight: bold;
  position: relative;
}
.tripsuggestion div.tourdesc:last-of-type{
  width: 100%;
}

.tripsuggestion .tourdesc > div{
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  position: relative;
  /*
  text-shadow: 
    1px -1px 0px #ffffff,
    1px 1px 0px #ffffff, 
    -1px 1px 0px #ffffff,
    -1px -1px 0px #ffffff,
    0px -1px 0px #ffffff,
    0px 1px 0px #ffffff,
    -1px 0px 0px #ffffff,
    1px 0px 0px #ffffff,
    0px 2px 2px #ffffff;*/
	font-size: 0.9em;
}

.tripsuggestion > div:last-of-type{
  font-size: 0.8em;
  width: calc(4em / 0.8);
  height: calc(4em / 0.8);
  border-radius: 50%;
  border: 1px solid rgba(0, 0, 0, 0.1);
  background: white;
  display: flex;
  align-items: center;
  justify-content: center;

  -webkit-box-shadow: 0px 2px 2px 0px rgba(0,0,0,0.2);
  -moz-box-shadow: 0px 2px 2px 0px rgba(0,0,0,0.2);
  box-shadow: 0px 2px 2px 0px rgba(0,0,0,0.2);
  position: relative;
}
.tripsuggestion > div:last-of-type::after{
  font-family: 'Courgette', sans-serif;
  content: "mehr...";
  position: relative;
}

.toursuggestioncoverall{
    height:  100%;
    width: 100%;
    z-index: 100;
    position: absolute;
    left: 0;
    top: 0;
}